/*
 * SSD1306/SSD1315に７セグメントっぽいフォントで表示
 * 
 */
#ifndef OLED1306_H
#define OLED1306_H
#include <arduino.h>

#define OLED_SSD1306_WIDTH 128  // OLEDの幅(ピクセル数)
#define OLED_SSD1306_HIGHT 64   // OLEDの高さ(ピクセル数)
#define OLED_SSD1306_PAGES 8    // OLEDのページ数(ピクセル数÷８)
#define OLED_SSD1306_ADDR  0x3C // SSD1306のI2Cアドレス

class OLED1306
{
  public:
    void init(); // 初期化
    void cls(); // 画面クリア
    void oledBitMap(int offsetX , int offsetY , int width,int hight, uint8_t bitMap[]); // ビットパターン表示
    void oledFillData(uint8_t fillData);  // 画面を特定のビットバターンで埋める::画面の初期化用

  protected:
    void oledSendCommand(uint8_t command); // OLEDに1バイトコマンドを送信
    void oledSendCommand2(uint8_t command1,uint8_t command2); // OLEDに2バイトコマンドを送信
    void oledSendCommand3(uint8_t command1,uint8_t command2,uint8_t command3); // OLEDに3バイトコマンドを送信
    void oledSendCommands(int commandLen,uint8_t commands[]); // OLEDに複数のコマンドを送信
} ;
#endif
